Index: src/main/java/net/sf/ehcache/store/DiskStore.java
===================================================================
--- src/main/java/net/sf/ehcache/store/DiskStore.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/store/DiskStore.java	(working copy)
@@ -17,14 +17,6 @@
 
 package net.sf.ehcache.store;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.Status;
-import net.sf.ehcache.config.CacheConfiguration;
-import net.sf.ehcache.event.RegisteredEventListeners;
-import net.sf.ehcache.util.MemoryEfficientByteArrayOutputStream;
-
 import java.io.ByteArrayInputStream;
 import java.io.File;
 import java.io.FileInputStream;
@@ -38,16 +30,25 @@
 import java.io.StreamCorruptedException;
 import java.util.ArrayList;
 import java.util.Collections;
+import java.util.ConcurrentModificationException;
 import java.util.HashSet;
 import java.util.Iterator;
 import java.util.List;
 import java.util.Map;
 import java.util.Set;
-import java.util.ConcurrentModificationException;
-import java.util.concurrent.atomic.AtomicBoolean;
 import java.util.concurrent.ConcurrentHashMap;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import java.util.concurrent.atomic.AtomicBoolean;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.Status;
+import net.sf.ehcache.config.CacheConfiguration;
+import net.sf.ehcache.event.RegisteredEventListeners;
+import net.sf.ehcache.util.MemoryEfficientByteArrayOutputStream;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A disk store implementation.
@@ -74,7 +75,7 @@
      */
     public static final String AUTO_DISK_PATH_DIRECTORY_PREFIX = "ehcache_auto_created";
 
-    private static final Logger LOG = Logger.getLogger(DiskStore.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(DiskStore.class);
     private static final int MS_PER_SECOND = 1000;
     private static final int SPOOL_THREAD_INTERVAL = 200;
     private static final int ESTIMATED_MINIMUM_PAYLOAD_SIZE = 512;
@@ -197,21 +198,17 @@
         if (persistent) {
             //if diskpath contains auto generated string
             if (diskPath.indexOf(AUTO_DISK_PATH_DIRECTORY_PREFIX) != -1) {
-                LOG.log(Level.WARNING, "Data in persistent disk stores is ignored for stores from automatically created directories"
-                        + " (they start with " + AUTO_DISK_PATH_DIRECTORY_PREFIX + ").\n"
+                LOG.warn("Data in persistent disk stores is ignored for stores from automatically created directories"
+                        + " (they start with {}).\n"
                         + "Remove diskPersistent or resolve the conflicting disk paths in cache configuration.\n"
-                        + "Deleting data file " + getDataFileName());
+                        + "Deleting data file {}", AUTO_DISK_PATH_DIRECTORY_PREFIX, getDataFileName());
                 dataFile.delete();
             } else if (!readIndex()) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Index file dirty or empty. Deleting data file " + getDataFileName());
-                }
+                LOG.debug("Index file dirty or empty. Deleting data file {}", getDataFileName());
                 dataFile.delete();
             }
         } else {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Deleting data file " + getDataFileName());
-            }
+            LOG.debug("Deleting data file {}", getDataFileName());
             dataFile.delete();
             indexFile = null;
         }
@@ -224,9 +221,7 @@
         boolean dataFileExists = dataFile.exists();
         boolean indexFileExists = indexFile.exists();
         if (!dataFileExists && indexFileExists) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Matching data file missing for index file. Deleting index file " + getIndexFileName());
-            }
+            LOG.debug("Matching data file missing for index file. Deleting index file {}", getIndexFileName());
             indexFile.delete();
         }
     }
@@ -270,7 +265,7 @@
             }
             return element;
         } catch (Exception exception) {
-            LOG.log(Level.SEVERE, name + "Cache: Could not read disk store element for key " + key + ". Error was "
+            LOG.error(name + "Cache: Could not read disk store element for key " + key + ". Error was "
                     + exception.getMessage(), exception);
         }
         return null;
@@ -347,7 +342,7 @@
             //element.updateAccessStatistics(); Don't update statistics
             return element;
         } catch (Exception e) {
-            LOG.log(Level.SEVERE, name + "Cache: Could not read disk store element for key " + key
+            LOG.error(name + "Cache: Could not read disk store element for key " + key
                     + ". Initial cause was " + e.getMessage(), e);
         }
         return null;
@@ -383,7 +378,7 @@
             int diskSize = diskElements.size();
             return spoolSize + diskSize;
         } catch (Exception e) {
-            LOG.log(Level.SEVERE, name + "Cache: Could not determine size of disk store.. Initial cause was " + e.getMessage(), e);
+            LOG.error(name + "Cache: Could not determine size of disk store.. Initial cause was " + e.getMessage(), e);
             return 0;
         }
     }
@@ -423,13 +418,13 @@
             if (spoolAndExpiryThread.isAlive()) {
                 spool.put(element.getObjectKey(), element);
             } else {
-                LOG.log(Level.SEVERE, name + "Cache: Elements cannot be written to disk store because the" +
-                        " spool thread has died.");
+                LOG.error("{}Cache: Elements cannot be written to disk store because the" +
+                        " spool thread has died.", name);
                 spool.clear();
             }
 
         } catch (Exception e) {
-            LOG.log(Level.SEVERE, name + "Cache: Could not write disk store element for " + element.getObjectKey()
+            LOG.error(name + "Cache: Could not write disk store element for " + element.getObjectKey()
                     + ". Initial cause was " + e.getMessage(), e);
         }
     }
@@ -445,8 +440,8 @@
     public boolean bufferFull() {
         long estimatedSpoolSize = spool.size() * lastElementSize;
         boolean backedUp = estimatedSpoolSize > diskSpoolBufferSizeBytes;
-        if (backedUp && LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "A back up on disk store puts occurred. Consider increasing diskSpoolBufferSizeMB for cache " + name);
+        if (backedUp) {
+            LOG.debug("A back up on disk store puts occurred. Consider increasing diskSpoolBufferSizeMB for cache {}", name);
         }
         return backedUp;
 
@@ -472,7 +467,7 @@
         } catch (Exception exception) {
             String message = name + "Cache: Could not remove disk store entry for key " + key
                     + ". Error was " + exception.getMessage();
-            LOG.log(Level.SEVERE, message, exception);
+            LOG.error(message, exception);
             throw new CacheException(message);
         }
         return element;
@@ -519,7 +514,7 @@
             }
         } catch (Exception e) {
             // Clean up
-            LOG.log(Level.SEVERE, name + " Cache: Could not rebuild disk store. Initial cause was " + e.getMessage(), e);
+            LOG.error(name + " Cache: Could not rebuild disk store. Initial cause was " + e.getMessage(), e);
             dispose();
         }
     }
@@ -565,11 +560,11 @@
             }
             deleteFilesInAutoGeneratedDirectory();
             if (!persistent) {
-                LOG.log(Level.FINE, "Deleting file " + dataFile.getName());
+                LOG.debug("Deleting file {}", dataFile.getName());
                 dataFile.delete();
             }
         } catch (Exception e) {
-            LOG.log(Level.SEVERE, name + "Cache: Could not shut down disk cache. Initial cause was " + e.getMessage(), e);
+            LOG.error(name + "Cache: Could not shut down disk cache. Initial cause was " + e.getMessage(), e);
         } finally {
             active = false;
             randomAccessFile = null;
@@ -586,11 +581,11 @@
     protected void deleteFilesInAutoGeneratedDirectory() {
         if (diskPath.indexOf(AUTO_DISK_PATH_DIRECTORY_PREFIX) != -1) {
             if (dataFile != null && dataFile.exists()) {
-                LOG.log(Level.FINE, "Deleting file " + dataFile.getName());
+                LOG.debug("Deleting file {}", dataFile.getName());
                 dataFile.delete();
             }
             if (indexFile != null && indexFile.exists()) {
-                LOG.log(Level.FINE, "Deleting file " + indexFile.getName());
+                LOG.debug("Deleting file {}", indexFile.getName());
                 indexFile.delete();
             }
             //try to delete the auto_createtimestamp directory. Will work when the last Disk Store deletes
@@ -598,7 +593,7 @@
             File dataDirectory = new File(diskPath);
             if (dataDirectory != null && dataDirectory.exists()) {
                 if (dataDirectory.delete()) {
-                    LOG.log(Level.FINE, "Deleted directory " + dataDirectory.getName());
+                    LOG.debug("Deleted directory {}", dataDirectory.getName());
                 }
             }
 
@@ -658,7 +653,7 @@
                 updatedNextExpiryTime += expiryThreadInterval * MS_PER_SECOND;
                 expireElements();
             } catch (Throwable e) {
-                LOG.log(Level.SEVERE, name + " Cache: Could not expire elements from disk due to "
+                LOG.error(name + " Cache: Could not expire elements from disk due to "
                         + e.getMessage() + ". Continuing...", e);
             }
         }
@@ -681,7 +676,7 @@
 
                     }
                 } catch (Throwable e) {
-                    LOG.log(Level.SEVERE, name + " Cache: Could not flush elements to disk due to "
+                    LOG.error(name + " Cache: Could not flush elements to disk due to "
                             + e.getMessage() + ". Continuing...", e);
                 }
             }
@@ -759,13 +754,13 @@
                 lastElementSize = bufferLength;
                 diskElements.put(key, diskElement);
             } catch (OutOfMemoryError e) {
-                LOG.log(Level.SEVERE, "OutOfMemoryError on serialize: " + key);
+                LOG.error("OutOfMemoryError on serialize: " + key);
 
             }
 
         } catch (Exception e) {
             // Catch any exception that occurs during serialization
-            LOG.log(Level.SEVERE, name + "Cache: Failed to write element to disk '" + key
+            LOG.error(name + "Cache: Failed to write element to disk '" + key
                     + "'. Initial cause was " + e.getMessage(), e);
         }
 
@@ -788,8 +783,8 @@
                 Thread.sleep(QUARTER_OF_A_SECOND);
             }
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Gave up trying to Serialize " + element.getObjectKey(), exception);
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("Gave up trying to Serialize " + element.getObjectKey(), exception);
         }
         return null;
     }
@@ -886,14 +881,12 @@
                 freeSpace = (List) objectInputStream.readObject();
                 success = true;
             } catch (StreamCorruptedException e) {
-                LOG.log(Level.SEVERE, "Corrupt index file. Creating new index.");
+                LOG.error("Corrupt index file. Creating new index.");
             } catch (IOException e) {
                 //normal when creating the cache for the first time
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "IOException reading index. Creating new index. ");
-                }
+                LOG.debug("IOException reading index. Creating new index. ");
             } catch (ClassNotFoundException e) {
-                LOG.log(Level.SEVERE, "Class loading problem reading index. Creating new index. Initial cause was " + e.getMessage(), e);
+                LOG.error("Class loading problem reading index. Creating new index. Initial cause was " + e.getMessage(), e);
             } finally {
                 try {
                     if (objectInputStream != null) {
@@ -903,7 +896,7 @@
                         fin.close();
                     }
                 } catch (IOException e) {
-                    LOG.log(Level.SEVERE, "Problem closing the index file.");
+                    LOG.error("Problem closing the index file.");
                 }
 
                 if (!success) {
@@ -922,17 +915,13 @@
     private void createNewIndexFile() throws IOException {
         if (indexFile.exists()) {
             if (indexFile.delete()) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Index file " + indexFile + " deleted.");
-                }
+                LOG.debug("Index file {} deleted.", indexFile);
             } else {
                 throw new IOException("Index file " + indexFile + " could not deleted.");
             }
         }
         if (indexFile.createNewFile()) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Index file " + indexFile + " created successfully");
-            }
+            LOG.debug("Index file {} created successfully", indexFile);
         } else {
             throw new IOException("Index file " + indexFile + " could not created.");
         }
@@ -952,8 +941,8 @@
             final Element element = (Element) iterator.next();
             if (element.isExpired()) {
                 // An expired element
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, name + "Cache: Removing expired spool element " + element.getObjectKey());
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug(name + "Cache: Removing expired spool element {}", element.getObjectKey());
                 }
                 iterator.remove();
                 notifyExpiryListeners(element);
@@ -969,8 +958,8 @@
 
             if (now >= diskElement.expiryTime) {
                 // An expired element
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, name + "Cache: Removing expired spool element " + entry.getKey() + " from Disk Store");
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug("{} Cache: Removing expired spool element {} from Disk Store", name, entry.getKey());
                 }
 
                 iterator.remove();
@@ -981,7 +970,7 @@
                         element = loadElementFromDiskElement(diskElement);
                         notifyExpiryListeners(element);
                     } catch (Exception exception) {
-                        LOG.log(Level.SEVERE, name + "Cache: Could not remove disk store entry for " + entry.getKey()
+                        LOG.error(name + "Cache: Could not remove disk store entry for " + entry.getKey()
                                 + ". Error was " + exception.getMessage(), exception);
                     }
                 }
@@ -1280,7 +1269,7 @@
                 element = loadElementFromDiskElement(diskElement);
                 cache.getCacheEventNotificationService().notifyElementEvicted(element, false);
             } catch (Exception exception) {
-                LOG.log(Level.SEVERE, name + "Cache: Could not notify disk store eviction of " + element.getObjectKey() +
+                LOG.error(name + "Cache: Could not notify disk store eviction of " + element.getObjectKey() +
                         ". Error was " + exception.getMessage(), exception);
             }
         }
Index: src/main/java/net/sf/ehcache/store/MemoryStore.java
===================================================================
--- src/main/java/net/sf/ehcache/store/MemoryStore.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/store/MemoryStore.java	(working copy)
@@ -16,19 +16,20 @@
 
 package net.sf.ehcache.store;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.Status;
-
 import java.util.Iterator;
 import java.util.Map;
 import java.util.NoSuchElementException;
 import java.util.concurrent.ConcurrentHashMap;
 import java.util.concurrent.atomic.AtomicInteger;
 import java.util.concurrent.atomic.AtomicReferenceArray;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.Status;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A Store implementation suitable for fast, concurrent in memory stores. The policy is determined by that
@@ -59,7 +60,7 @@
 
     private static final int JUMP_AHEAD = 5;
 
-    private static final Logger LOG = Logger.getLogger(MemoryStore.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(MemoryStore.class);
 
     /**
      * The eviction policy to use
@@ -121,8 +122,8 @@
 
         status = Status.STATUS_ALIVE;
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Initialized " + this.getClass().getName() + " for " + cache.getName());
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("Initialized {} for {}", this.getClass().getName(), cache.getName());
         }
     }
 
@@ -169,11 +170,11 @@
 
         if (element != null) {
             element.updateAccessStatistics();
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.fine(cache.getName() + "Cache: " + cache.getName() + "MemoryStore hit for " + key);
+            if (LOG.isDebugEnabled()) {
+                LOG.debug("{}Cache: {}MemoryStore hit for {}", new Object[]{cache.getName(), cache.getName(), key});
             }
-        } else if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine(cache.getName() + "Cache: " + cache.getName() + "MemoryStore miss for " + key);
+        } else if (LOG.isDebugEnabled()) {
+            LOG.debug("{}Cache: {}MemoryStore miss for {}", new Object[]{cache.getName(), cache.getName(), key});
         }
 
         return element;
@@ -191,11 +192,11 @@
 
         if (cacheElement != null) {
             //cacheElement.updateAccessStatistics(); Don't update statistics
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.fine(cache.getName() + "Cache: " + cache.getName() + "MemoryStore hit for " + key);
+            if (LOG.isDebugEnabled()) {
+                LOG.debug("{}Cache: {}MemoryStore hit for {}", new Object[]{cache.getName(), cache.getName(), key});
             }
-        } else if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine(cache.getName() + "Cache: " + cache.getName() + "MemoryStore miss for " + key);
+        } else if (LOG.isDebugEnabled()) {
+            LOG.debug("{}Cache: {}MemoryStore miss for {}", new Object[]{cache.getName(), cache.getName(), key});
         }
         return cacheElement;
     }
@@ -218,9 +219,7 @@
         if (element != null) {
             return element;
         } else {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, cache.getName() + "Cache: Cannot remove entry as key " + key + " was not found");
-            }
+            LOG.debug("{}Cache: Cannot remove entry as key {} was not found", cache.getName(), key);
             return null;
         }
     }
@@ -269,8 +268,8 @@
      */
     public final void flush() {
         if (cache.getCacheConfiguration().isDiskPersistent()) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, cache.getName() + " is persistent. Spooling " + map.size() + " elements to the disk store.");
+            if (LOG.isDebugEnabled()) {
+                LOG.debug("{} is persistent. Spooling {} elements to the disk store.", cache.getName(), map.size());
             }
             spoolAllToDisk();
         }
@@ -293,9 +292,9 @@
             Element element = (Element) map.get(keys[i]);
             if (element != null) {
                 if (!element.isSerializable()) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Object with key " + element.getObjectKey()
-                                + " is not Serializable and is not being overflowed to disk.");
+                    if (LOG.isDebugEnabled()) {
+                        LOG.debug("Object with key {} is not Serializable and is not being overflowed to" +
+                                " disk.", element.getObjectKey());
                     }
                 } else {
                     spoolToDisk(element);
@@ -319,8 +318,8 @@
      */
     protected void spoolToDisk(Element element) {
         diskStore.put(element);
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, cache.getName() + "Cache: spool to disk done for: " + element.getObjectKey());
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("{}Cache: spool to disk done for: {}", cache.getName(), element.getObjectKey());
         }
     }
 
@@ -401,9 +400,8 @@
         boolean spooled = false;
         if (cache.getCacheConfiguration().isOverflowToDisk()) {
             if (!element.isSerializable()) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, new StringBuffer("Object with key ").append(element.getObjectKey())
-                            .append(" is not Serializable and cannot be overflowed to disk").toString());
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug("Object with key {} is not Serializable and cannot be overflowed to disk", element.getObjectKey());
                 }
             } else {
                 spoolToDisk(element);
@@ -528,13 +526,11 @@
      */
     protected void removeElementChosenByEvictionPolicy(Element elementJustAdded) {
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine("Cache is full. Removing element ...");
-        }
+        LOG.debug("Cache is full. Removing element ...");
 
         Element element = findEvictionCandidate(elementJustAdded);
         if (element == null) {
-            LOG.log(Level.FINE, "Eviction selection miss. Selected element is null");
+            LOG.debug("Eviction selection miss. Selected element is null");
             return;
         }
 
Index: src/main/java/net/sf/ehcache/store/MemoryStoreEvictionPolicy.java
===================================================================
--- src/main/java/net/sf/ehcache/store/MemoryStoreEvictionPolicy.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/store/MemoryStoreEvictionPolicy.java	(working copy)
@@ -18,8 +18,9 @@
 
 
 import java.io.Serializable;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A typesafe enumeration of eviction policies.
@@ -54,7 +55,7 @@
      */
     public static final MemoryStoreEvictionPolicy FIFO = new MemoryStoreEvictionPolicy("FIFO");
 
-    private static final Logger LOG = Logger.getLogger(MemoryStoreEvictionPolicy.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(MemoryStoreEvictionPolicy.class);
 
     private final String myName;
 
@@ -90,10 +91,8 @@
             }
         }
 
-        if (LOG.isLoggable(Level.WARNING)) {
-            LOG.log(Level.WARNING, "The memoryStoreEvictionPolicy of " + policy + " cannot be resolved. The policy will be" +
-                    " set to LRU");
-        }
+        LOG.warn("The memoryStoreEvictionPolicy of {} cannot be resolved. The policy will be" +
+                " set to LRU", policy);
         return LRU;
     }
 }
Index: src/main/java/net/sf/ehcache/store/LruMemoryStore.java
===================================================================
--- src/main/java/net/sf/ehcache/store/LruMemoryStore.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/store/LruMemoryStore.java	(working copy)
@@ -16,15 +16,16 @@
 
 package net.sf.ehcache.store;
 
+import java.util.Iterator;
+import java.util.Map;
+
 import net.sf.ehcache.CacheException;
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Element;
 import net.sf.ehcache.Status;
 
-import java.util.Iterator;
-import java.util.Map;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -38,7 +39,7 @@
  */
 public class LruMemoryStore implements Store {
 
-    private static final Logger LOG = Logger.getLogger(LruMemoryStore.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(LruMemoryStore.class);
 
     /**
      * The cache this store is associated with.
@@ -186,8 +187,8 @@
      */
     public final void flush() {
         if (cache.getCacheConfiguration().isDiskPersistent()) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, cache.getName() + " is persistent. Spooling " + map.size() + " elements to the disk store.");
+            if (LOG.isDebugEnabled()) {
+                LOG.debug("{} is persistent. Spooling {} elements to the disk store.", cache.getName(), map.size());
             }
             spoolAllToDisk();
         }
@@ -211,9 +212,8 @@
             Element element = (Element) map.get(key);
             if (element != null) {
                 if (!element.isSerializable()) {
-                    if (LOG.isLoggable(Level.FINE)) {
-                        LOG.log(Level.FINE, "Object with key " + element.getObjectKey()
-                                + " is not Serializable and is not being overflowed to disk.");
+                    if (LOG.isDebugEnabled()) {
+                        LOG.debug("Object with key {} is not Serializable and is not being overflowed to disk.", element.getObjectKey());
                     }
                 } else {
                     spoolToDisk(element);
@@ -237,8 +237,8 @@
      */
     protected void spoolToDisk(Element element) {
         diskStore.put(element);
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, cache.getName() + "Cache: spool to disk done for: " + element.getObjectKey());
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("{}Cache: spool to disk done for: {}", cache.getName(), element.getObjectKey());
         }
     }
 
@@ -319,9 +319,9 @@
         boolean spooled = false;
         if (cache.getCacheConfiguration().isOverflowToDisk()) {
             if (!element.isSerializable()) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, new StringBuffer("Object with key ").append(element.getObjectKey())
-                            .append(" is not Serializable and cannot be overflowed to disk").toString());
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug("Object with key {} is not Serializable and cannot be overflowed" +
+                            " to disk", element.getObjectKey());
                 }
             } else {
                 spoolToDisk(element);
